> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a new webhook



## OpenAPI

````yaml post /webhook
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /webhook:
    post:
      tags:
        - Webhook
      summary: Create Webhook
      description: Create a new webhook
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/webhook'
        description: webhook
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhook'
          description: The updated Webhook object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/webhook'
                    title: Webhook
                  - title: Empty
                    type: object
                    properties: {}
          description: The Webhook was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    webhook:
      type: object
      properties:
        id:
          type: string
          description: Webhook ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Webhook creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        name:
          type: string
          description: Name of webhook
          format: text
        source:
          type: string
          description: Source of webhook
          format: public.webhook_source
          enum:
            - zapier
            - n8n
            - make
            - authenticated
          default: (auth.role())
        active:
          type: boolean
          description: Is the webhook active?
          format: boolean
          default: true
        target_url:
          type: string
          description: Target url of webhook
          format: text
        headers:
          type: object
          description: Header of webhook
          format: jsonb
        method:
          type: string
          description: Webhook method
          format: public.http_method
          enum:
            - GET
            - POST
            - PUT
            - PATCH
          default: POST
        event:
          type: string
          description: Event of webhook
          format: public.webhook_event
          enum:
            - contact.created
            - contact_details.updated
            - contact.deleted
            - conversation.inbound
            - conversation.tag
            - conversation.untag
            - conversation.assign
            - conversation.unassign
            - conversation.submission_error
            - conversation.sending_error
            - conversation.outbound
            - conversation.reopen
            - conversation.close
            - form_submission.completed
            - form_submission.aborted
            - contact.updated
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````